"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const parser = require("protocol-buffers-schema");
const generate_1 = require("./generate");
function parseSchema(contents) {
    const schema = parser.parse(contents);
    return {
        compile() {
            const result = {};
            new Function('exports', generate_1.generate(schema))(result);
            return result;
        },
        toJavaScript({ es6 } = {}) {
            return generate_1.generate(schema, { es6 });
        },
        toTypeScript() {
            return generate_1.generate(schema, { typescript: true });
        },
    };
}
exports.parseSchema = parseSchema;
;
